The tag has no wiki summary.

learn more… | top users | synonyms

1
vote
1answer
3k views

Cannot restart apache2 on Debian server - “Cannot load /usr/local/apache2/modules/libphp5.so into server”

Okay... I'm something of a beginner when it comes to servers, and I'm having some issues with restarting apache on my Debian web server. I just ran the following: aptitude install apache2 openssl ...
1
vote
0answers
21 views

Why some apt-get and aptitude installations remove some programs?

I wanted to install wireshark, and I went to Installing wireshark So I just typed on terminal aptitude install wireshark and before it install wireshark, it removed 251 programs, and I don't have ...
21
votes
10answers
9k views

Find last time update was performed with apt-get

I need to find the last time that the apt-get update command was run on my server. How can I determine this information?
1
vote
2answers
994 views

How to include Debian repository from different architecture

I am running AMD64 Debian. I need to install software from external vendor which supports i386 architecture only. While I can add their repository to sources.list, those i386 packages do not appear ...
5
votes
3answers
2k views

ufw blocking apt and dns

I installed ufw on my Debian system like the following: # aptitude install ufw # ufw limit 22 # ufw allow 80 # ufw allow 443 # ufw enable # ufw status verbose Status: active Logging: on (low) ...
1
vote
1answer
43 views

Problems updating Debian 6

Im trying to update a Debian 6 server, but get the following output with some errors after sudo aptitude update: Ign http://archive.debian.org oldstable Release.gpg Ign ...
3
votes
1answer
1k views

How to Get a List of All Root / Main Installed Packages on Debian

Is there a way to get all "main" packages that were installed via aptitude in Debian? By "main" I mean the package names that were given to aptitude via the install command. The equivalent of a Gentoo ...
3
votes
1answer
72 views

Disallow virtual package in Debian's /etc/apt/preferences

I know I can disallow a particular package in Debian by appending /etc/apt/preferences with: Package: *x11* Pin: release Pin-Priority: -1 But how can I do that for a virtual package like httpd? I'd ...
1
vote
0answers
257 views

Unable to apt-get install nginx-extras package on top of nginx 1.7.9

I am attempting to install Phusion Passenger for nginx on a dev Ubuntu box following this guide from the passenger website. I have Nginx installed and running already, version is 1.7.9-1~trusty. I ...
4
votes
3answers
2k views

Debian - “WARNING: untrusted versions of the following packages will be installed!”

When i try to install or update any packages I get: Untrusted packages could compromise your system's security. You should only proceed with the installation if you are certain that this is what you ...
0
votes
1answer
56 views

apt-get install -t testing appX VS apt-get install appX/testing

I've been trying to understand the difference between these two commands and noticed that I get different results. apt-get install -t testing appX apt-get install appX/testing Background I setup ...
0
votes
4answers
270 views

Unable to install software using apt-get in Ubuntu Server

I'm trying to install some software in my Ubuntu Server 12.04 installation, but whenever I try to install it using apt-get or aptitude, I would usually get an error message like this: E: unable to ...
78
votes
7answers
69k views

How can I run Debian stable but install some packages from testing?

Say you're running a server and you don't want to upgrade to Testing (Squeeze) from Stable (Lenny) to just install a required package or two. What's the best way of installing only certain packages ...
1
vote
3answers
2k views

How do I check to see if an apt lock file is locked?

I am writing a script to do some apt commands, but I am running into potential issues of the apt/dpkg databases being locked so my script bails. I want to check the lock files (i.e. ...
1
vote
1answer
335 views

Why does aptitude want to update the original kernel when I use backports?

On Wheezy I am using the current backports kernel, which I set up via # echo "deb http://ftp.de.debian.org/debian wheezy-backports main" > \ /etc/apt/sources.list.d/wheezy-backports.list # ...
2
votes
1answer
174 views

web-based apt-get/aptitude frontend

I manage some 15-20 Ubuntu servers and am faced with the tedious task of keeping them all up to date. I have looked for a simpler solution and came across Ubuntu Landscape, but this is waaaay out of ...
0
votes
1answer
159 views

Segmentation fault using group add

Today I tried to install a tftp server to setup a PXE server on a virtual machine (powered by VMware ESX 4) for our network to ease server installation. The base installation (Debian 7.5.0 x64) worked ...
2
votes
4answers
6k views

How do I install the latest version of Sphinx Seach in Apt-get?

When I do "sudo apt-get install sphinxsearch", I get version 0.9. I want the latest stable version (which is 2.4, I believe) How can I do that using aptitude?
1
vote
1answer
110 views

How to tell when apt-get upgrade or apt-get dist-upgrade was last run

Is there a clean way to detect when apt-get upgrade or apt-get dist-upgrade was last run on an Ubuntu Server? If there isn't a way to do this by default, where would be the best place to modify a ...
1
vote
0answers
42 views

What can prevent apt from installing higher version

I'm trying to install a specific version of a package (python-neutronclient), but apt is failing to do that due to old packages. This happens even though new packages are available. Aptitude also ...
0
votes
1answer
66 views

How to get the Package-List of a debian/ubuntu package?

It's possible to view the Package-List of a debian/ubuntu package, using the package management tools like apt, aptitude or dpkg? I need to list the packages provided by a package, the list is ...
1
vote
3answers
182 views

How does aptitude determine what version of a package/application to install? i.e. Apache 2.2 vs 2.4

So I wasted several days dealing with a lame Apache2 bug that was fixed in Februry 2012. I couldn't figure out why I was experiencing the bug still until I discovered my version Apache2 was a 2.2.x ...
0
votes
1answer
21 views

Why is my aptitude inconsistent about packages that must be removed to install another package?

This is on debian (3.11-0.bpo.2-amd64 #1 SMP Debian 3.11.8-1~bpo70+1 (2013-11-21) x86_64 GNU/Linux). I was just attempting to "aptitude install ntp". Aptitude told me it would install ntp and ...
0
votes
0answers
83 views

Ubuntu web host update strategy

I have a couple of questions regarding best practices for updating an ubuntu web server. A server that is hosting a live website that would be very problematic should the server "go down". I am a ...
2
votes
1answer
2k views

installing git from debian wheezy backports: anyway i see old package version

I need to install git 1.8.* version. I added backports to my sources.list; Removed current installed git via apt-get remove git; Executed apt-get update to update my packages list aptitude show git ...
2
votes
1answer
120 views

Exclude sources files for apt-get update

I use an specific command to check security updates: /usr/bin/apt-get update -o Dir::Etc::SourceList=/etc/apt/security.sources.list But when executed it use sources files in ...
0
votes
1answer
884 views

apt-get dependency issue when installing nginx passenger module

Sorry I Have no idea how to fix the dependency problem. My Ubuntu server is 12.04 64 bit $ sudo apt-get install libcurl4-openssl-dev Reading package lists... Done Building dependency tree Reading ...
1
vote
1answer
1k views

Ubuntu apt-get update vs upgrade

I have a VPS with Ubuntu Server 12.04 and I want maximal stability of my server, which's main purpose is a webserver. What are difference between Update and Upgrade? I can't understand difference. As ...
5
votes
4answers
2k views

aptitude: list all previous recommended packages

sometimes when installing a package, aptitude recommends several other packages. Is there a way to show all previous recommended packages of all installed packages? Thanks in advance. Casper Edit: ...
1
vote
1answer
262 views

On Debian, how to audit installed packages against packages in a particular repository?

I manage a number of Debian servers and usually track the Debian stable repository but occasionally install from the Debian testing repository or third party sources. For audit purposes, on each ...
2
votes
4answers
2k views

Aptitude command on fedora

linux newbie here. I'm running Fedora 12 and I have a script for Ubuntu installing a bunch of packages using aptitude. I tried installing the packages using yum, but most of them aren't available. ...
1
vote
0answers
67 views

Best effort (failover) HTTP proxy use in aptitude?

I was installing a new Ubuntu 13.10 (daily build) for testing, and came to the option of being able to configure an HTTP proxy server for aptitude. It's been a while since I've sat through an ...
1
vote
1answer
929 views

Unable to install python2.7-dev on Ubuntu 12.04.2 LTS

The command $ sudo apt-get install python2.7-dev yields this result: Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be ...
0
votes
1answer
305 views

Removing sources from sources.list doesn't work

I had recently upgraded to php 5.4 but it was not working for me so I thought I'd remove php 5.4 and re-install php 5.3. I uninstalled php5.4, removed the dotdeb sources from sources.list file, ran ...
0
votes
2answers
1k views

Unmet dependencies when updating PHP 5.4.8 to 5.4.15 using dotdeb on debian

I'm not quite sure how to act here. I installed php5 as dotdeb package. I'm on debian squeeze 686. Now I try to update from 5.4.8 to 5.4.15 and get the following output after running aptitude install ...
3
votes
1answer
403 views

Prioritise repositories in Ubuntu

We have a few PPA sources on some of our servers which we stick into /etc/apt/sources.list.d . Some of these repos provide same packages (in terms of names) but different versions and possibly ...
0
votes
2answers
778 views

E: Internal Error, Could not perform immediate configuration (2) on libattr1 ? in Ubuntu

I am working with Ubuntu latest version. While installing via apt-get install i tried to abort that by pressing Ctrl+Z. It terminate successfully ;). But next time when i tried to use apt-get, i got ...
2
votes
1answer
165 views

Abnormally high number of safe-upgrade packages on debian squeeze

One of our webservers which is running Debian Etch Squeeze (6.0.7) and which we regularly maintain with safe-upgrades (normally it's only a few safe-upgrade packages per week) now shows an abnormally ...
0
votes
2answers
427 views

How can I exorcise a specific Ubuntu package that crashes on a postinstall script?

I have a libssl-dev package installed, possibly because I am not sure if I bypassed the package manager, and it's visible from the package manager but won't go away. ...
4
votes
7answers
25k views

What is the fastest way to install Python 2.6 on an Ubuntu 8.04 server?

I just got an Ubuntu server set up, and it seems to have come with Python 2.5. I've been developing my app in Python 2.6, but apt-cache search ^python seems to not contain 2.6. What is the fastest way ...
0
votes
1answer
373 views

installed post-installation script returned error exit status 1

I found many complains with same error but for different packages. However, i couldn't understand essence of this error and how to fix it. Pls. help if you have any clue about it. It appeared first ...
1
vote
1answer
504 views

After update, Ubuntu booting into black screen (but ssh working)

I am running Ubuntu 12.04.2 LTS on HP ProLiant server. After recent update (using apt-get update and upgrade), it boots into black screen. BIOS Post screen still shows normally, but when the OS ...
0
votes
1answer
166 views

Ubuntu 12.04 Server on VMWare - apt-get failing to hit repos

So, I have an Ubuntu 12.04 LTS 64-bit server instance running on VMWare player. Everything appears fine at the surface. Even internet connectivity appears good as I can perform both pings out to ...
0
votes
1answer
116 views

Downgrade php5-cgi using APT on Debian

I have lighttpd install with PHP5.4 installed I need to downgrade it to 5.3.2 (possibly older/newer) but I can't install it I tried this apt-get install php5-cgi=5.3.2 but it says "E: Version ...
1
vote
1answer
82 views

How to install packages on debian lenny 5.0

I'm working with Debian Lenny 5.0 and I'm trying to replicate an environment. The problem is that when I try to update aptitude.. it looks like the servers aren't online anymore. Is there any way for ...
0
votes
1answer
270 views

Running Aptitude / apt-get resets archive lookup address

Having a problem updating ubuntu 12.04.02 lts box using aptitude - seems that the dns lookup value is getting changed somehow whenever I run aptitude or apt-get . Example: a clean reboot: ...
1
vote
1answer
1k views

Debian removed /var/lib/dpkg/info/, is there a way to save the system?

Removed accidentally /var/lib/dpkg/info/, now I am having problems with installing/removing packages, it prompts errors, cause can not find the info about installed packages. Is there any way to ...
1
vote
1answer
204 views

What does “[-14]” mean in the output from “aptitude safe-upgrade”?

After aptitude safe-upgrade finishes running, it outputs something like this: Current status: 0 updates [-14]. What does the "[-14]" mean?
2
votes
3answers
577 views

How to install packages with APT without user interaction?

I have a script that downloads and replaces kernel headers in Debian squeeze. function fixHeaders(){ #Replace the kernel headers from OVH with standard kernel headers... aptitude -y install ...
1
vote
3answers
490 views

Upgrade to the latest php by aptitude

I'm install php5 by aptitude, but php release the new version and recommend we upgrade. But I unwant to compile the new version by myself. How to upgrade the php to the newest version by aptitude?